AIRPWN(1)

NAME
airpwn - A network security utility

SYNOPSIS
airpwn -i iface -c configfile -d drivername [-M -C -I -l -f -h -v -k -F]

DESCRIPTION
This manual page documents briefly the airwpn command.

airpwn is a thoughtful framework for automated injection of arbitrary application-layer data on an unencrypted 802.11 network. It is used mainly for penetration testing as it's primary role is for a complex pattern matching and packet generation.

OPTIONS
This program doesn't follow the usual GNU command line syntax. A summary of options is included below.

-i  the interface to listen/control/inject with. Equivalent of setting -M -C and -I to the same interface.

-M  specifies the interface to monitor for packets. This interface must support monitor mode.

-C  specifies the interface to use for control. (Right now this is only used for changing channels.)

-I  specifies the interface to use for packet injection. This interface MUST support the ability to inject raw packets. For atheros, this likely is ath0raw.

-d  the driver name used for the specified interface (e.x. "hostap", "prism54", "madwifiold", "madwifing")

-c  the location of the configuration file

-l  the location of the file targeted for verbose logging

-f  bpf filter for libpcap

-k  WEP key for packet de/encryption. May be used multiple times to specify multiple keys

-F  Assume no FCS headers at the end of the 802.11 frames. Some drivers append these and others don't. If WEP decryption is failing when you're positive you have the correct key, try using/not using -F.

-h  quick help information

-v  may be called multiple times to increase verbosity

EXAMPLES
airpwn -i ath0raw -d madwifi -c conf/airpwned_img -v

airpwn -i ath0 -I ath0raw -d madwifi -c conf/airpwned_img -F -k 11:22:33:44:55 -v -v -v

NOTES
This utility was first demonstrated at Defcon 12.

BUGS
There are no known bugs at this time.

AUTHOR
airpwn was written by Bryan Burns <toast@users.sourceforge.net>.
This manual page was written by Jacob Appelbaum <jacob@appelbaum.net>

WEBSITE
<http://airpwn.sourceforge.net>